Bug 986965 - [abrt] evolution-3.8.3-2+git20130717.fc19: g_malloc: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.8.3-2+git20130717.fc19: g_malloc: Process /usr/bin/evoluti...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:1d41a922c89070e8154ea8227e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 10:04 EDT by Jiri Koten
Modified: 2015-02-17 11:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:18:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: abrt.log (207.70 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: backtrace (85.09 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: core_backtrace (6.99 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: dso_list (25.86 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: environ (2.66 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-22 10:04 EDT, Jiri Koten
no flags Details
File: maps (127.31 KB, text/plain)
2013-07-22 10:05 EDT, Jiri Koten
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-07-22 10:05 EDT, Jiri Koten
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-07-22 10:05 EDT, Jiri Koten
no flags Details
File: var_log_messages (18.01 KB, text/plain)
2013-07-22 10:05 EDT, Jiri Koten
no flags Details

  None (edit)
Description Jiri Koten 2013-07-22 10:04:08 EDT
Description of problem:
Refreshing Inbox

Version-Release number of selected component:
evolution-3.8.3-2+git20130717.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        evolution
crash_function: g_malloc
executable:     /usr/bin/evolution
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1001
xsession_errors: (evolution-alarm-notify:1645): Gdk-WARNING **: evolution-alarm-notify: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_malloc at gmem.c:159
 #7 g_data_set_internal at gdataset.c:468
 #8 g_datalist_id_set_data_full at gdataset.c:674
 #9 g_object_notify_queue_freeze at gobject.c:238
 #10 g_object_init at gobject.c:958
 #11 g_type_create_instance at gtype.c:1909
 #12 g_object_constructor at gobject.c:1855
 #13 webkit_dom_node_constructor at DerivedSources/webkitdom/WebKitDOMNode.cpp:259
 #15 g_object_new_valist at gobject.c:1836
 #17 WebKit::wrapHTMLButtonElement at DerivedSources/webkitdom/WebKitDOMHTMLButtonElement.cpp:53
Comment 1 Jiri Koten 2013-07-22 10:04:13 EDT
Created attachment 776914 [details]
File: abrt.log
Comment 2 Jiri Koten 2013-07-22 10:04:17 EDT
Created attachment 776915 [details]
File: backtrace
Comment 3 Jiri Koten 2013-07-22 10:04:21 EDT
Created attachment 776916 [details]
File: cgroup
Comment 4 Jiri Koten 2013-07-22 10:04:26 EDT
Created attachment 776917 [details]
File: core_backtrace
Comment 5 Jiri Koten 2013-07-22 10:04:42 EDT
Created attachment 776918 [details]
File: dso_list
Comment 6 Jiri Koten 2013-07-22 10:04:47 EDT
Created attachment 776919 [details]
File: environ
Comment 7 Jiri Koten 2013-07-22 10:04:55 EDT
Created attachment 776920 [details]
File: limits
Comment 8 Jiri Koten 2013-07-22 10:05:00 EDT
Created attachment 776921 [details]
File: maps
Comment 9 Jiri Koten 2013-07-22 10:05:03 EDT
Created attachment 776922 [details]
File: open_fds
Comment 10 Jiri Koten 2013-07-22 10:05:07 EDT
Created attachment 776923 [details]
File: proc_pid_status
Comment 11 Jiri Koten 2013-07-22 10:05:14 EDT
Created attachment 776924 [details]
File: var_log_messages
Comment 12 Jiri Koten 2013-07-22 10:09:11 EDT
Evolution crashed two times today.
Crash happened when refreshing Inbox folder after switching from different folder.
Comment 13 Milan Crha 2013-07-22 13:10:34 EDT
Thanks for a bug report. It looks like a memory corruption bug, possibly use-after-free issue, related to meeting invitations. I guess this is addressed by an upstream fix [1], which landed for 3.8.4, on 2013-07-17, from which I cannot tell whether your package has it or not.


[1] https://bugzilla.gnome.org/show_bug.cgi?id=703638
Comment 14 Fedora Admin XMLRPC Client 2014-09-04 10:29:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2015-01-09 14:02:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 11:18:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.